High-Level Data Reduction Library: hdrl_imagelist_view.c File Reference

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
hdrl_imagelist_view.c File Reference
`#include "hdrl_imagelist.h"`
`#include "hdrl_imagelist_defs.h"`
`#include "hdrl_imagelist_view.h"`
`#include "hdrl_image_defs.h"`
`#include "hdrl_image.h"`
`#include <cpl.h>`
`#include <assert.h>`
`#include <string.h>`
Include dependency graph for hdrl_imagelist_view.c:

## Function Documentation

## ◆ hdrl_imagelist_const_cpl_row_view()

const hdrl_imagelist * hdrl_imagelist_const_cpl_row_view | ( | const cpl_imagelist * | imglist,
|  | const cpl_imagelist * | errlist,
|  | cpl_size | ly,
|  | cpl_size | uy
| ) |  |

create const view of subset of image rows in cpl imagelists

Parameters

  imglist | source imagelist to create view of
  errlist | source error imagelist to create view of, may be NULL
  ly | lower y row to view (FITS convention)
  uy | upper y row to view (FITS convention)

Returns
  constant imagelist view

The imagelist will contain the same number of images but they will have uy - ly + 1 rows. Modifiying the view is not allowed The view can be deleted with hdrl_imagelist_delete. Deleting the original imagelist will invalidate all views, they must not be used anymore besides being deleted. The images and errors in the lists must contain equal bad pixel maps.

## ◆ hdrl_imagelist_const_row_view()

const hdrl_imagelist * hdrl_imagelist_const_row_view | ( | const hdrl_imagelist * | hl,
|  | cpl_size | ly,
|  | cpl_size | uy
| ) |  |

create const view of subset of image rows in an imagelist

Parameters

  hl | source imagelist to create view of
  ly | lower y row to view (FITS convention)
  uy | upper y row to view (FITS convention)

Returns
  constant imagelist view

The imagelist will contain the same number of images but they will have uy - ly + 1 rows. Modifiying the view will modify the selected rows of the original imagelist. The view can be deleted with hdrl_imagelist_delete. Deleting the original imagelist will invalidate all views, they must not be used anymore besides being deleted. The view must not be modified as bad pixel information cannot be propagated to the original image if it did not have a bad pixel map to begin with.

## ◆ hdrl_imagelist_image_view()

hdrl_imagelist * hdrl_imagelist_image_view | ( | hdrl_imagelist * | hl,
|  | cpl_size | lz,
|  | cpl_size | uz
| ) |  |

create view of subset of images in an imagelist

Parameters

  hl | source imagelist to create view of
  lz | lower image index to view, starting from 0
  uz | upper bound exclusive

Returns
  imagelist view

The imagelist will contain uz - lz images of the same size as the original imagelist. Modifiying the view is not allowed The view must be deleted with hdrl_imagelist_delete. Deleting the original imagelist will invalidate all views, they must not be used anymore besides being deleted.

## ◆ hdrl_imagelist_row_view()

hdrl_imagelist * hdrl_imagelist_row_view | ( | hdrl_imagelist * | hl,
|  | cpl_size | ly,
|  | cpl_size | uy
| ) |  |

create view of subset of image rows in an imagelist

Parameters

  hl | source imagelist to create view of
  ly | lower y row to view (FITS convention)
  uy | upper y row to view (FITS convention)

Returns
  imagelist view

The imagelist will contain the same number of images but they will have uy - ly + 1 rows. Modifiying the view will modify the selected rows of the original imagelist. The view can be deleted with hdrl_imagelist_delete. Deleting the original imagelist will invalidate all views, they must not be used anymore besides being deleted.